Page MenuHomePhabricator

Add a repo reference to Design Strategy web address
Closed, ResolvedPublic

Event Timeline

Volker_E created this task.Aug 7 2019, 6:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2019, 6:20 PM
Volker_E updated the task description. (Show Details)Aug 7 2019, 6:21 PM
Dzahn added a subscriber: Dzahn.Aug 7 2019, 6:25 PM

This is modules/profile/manifests/microsites/design.pp in the puppet repo. Happy to help adding a third repo there to git clone from.

But first you'll have to request the new Gerrit project/repo under /design/ ... and i see you already did that.

https://www.mediawiki.org/wiki/Gerrit/New_repositories/Requests

So the new one is called "strategy" and you wand /strategy as the URL as well?

So the new one is called "strategy" and you wand /strategy as the URL as well?

That's correct. :)

Change 528922 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] design.wikimedia.org: add new dir and repo for strategy site

https://gerrit.wikimedia.org/r/528922

ema moved this task from Triage to Watching on the Traffic board.Aug 8 2019, 9:03 AM

Change 528922 merged by Dzahn:
[operations/puppet@production] design.wikimedia.org: add new dir and repo for strategy site

https://gerrit.wikimedia.org/r/528922

Change 529425 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] design.wikimedia.org: fix directory name and rename httpd config file

https://gerrit.wikimedia.org/r/529425

Change 529425 merged by Dzahn:
[operations/puppet@production] design.wikimedia.org: fix directory name and rename httpd config file

https://gerrit.wikimedia.org/r/529425

Change 529429 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] design.wikimedia.org: add httpd alias for /strategy URL

https://gerrit.wikimedia.org/r/529429

Change 529429 merged by Dzahn:
[operations/puppet@production] design.wikimedia.org: add httpd alias for /strategy URL

https://gerrit.wikimedia.org/r/529429

Dzahn closed this task as Resolved.Aug 9 2019, 8:47 PM
Dzahn claimed this task.

done! here you go:

https://design.wikimedia.org/strategy/

all you need is get your content reviewed and merged. remember if there are scripts in it security needs to take a look.

Thanks @Dzahn! There's no other activity needed on our site, besides merging? The cron job(?) auto-updates merged patches every 15-30 minutes to be available on the website?
To the security question: This is a 1:1 copy of Design Style Guide where the JS has already gone through security review and the link rel=noopener attributes are added to all outside links.

Dzahn added a comment.Aug 11 2019, 4:35 PM

@Volker_E Yes, nothing else needed besides merging content. Each time puppet-agent runs it will try to git clone and because the code says " ensure => 'latest'," it will always just overwrite with the latest version. puppet-agent runs per cron every half hour, at 5 and 35 minutes past the hour on this specific host.